sdk: Fix cryptodev-linux build when CONFIG_ARM64_MODULE_PLTS=y
authorJeffery To <jeffery.to@gmail.com>
Fri, 2 Aug 2019 19:03:14 +0000 (03:03 +0800)
committerJo-Philipp Wich <jo@mein.io>
Wed, 4 Sep 2019 11:34:22 +0000 (13:34 +0200)
When CONFIG_ARM64_MODULE_PLTS=y, arch/arm64/kernel/module.lds is
required to build cryptodev-linux. This updates the sdk to include this
file.

Signed-off-by: Jeffery To <jeffery.to@gmail.com>
(cherry picked from commit 6e300f6a0c94812d0f4d8f67df6604c763f7552f)

target/sdk/Makefile

index 3b860db..0bed666 100644 (file)
@@ -64,7 +64,8 @@ KERNEL_FILES_ARCH = \
        include \
        */include \
        scripts \
-       kernel/asm-offsets.s
+       kernel/asm-offsets.s \
+       kernel/module.lds
 
 KERNEL_FILES_BASE := \
        .config \